import axios from "../../utils/axios";


export function listIdentifier(query) {
    return axios({
        url: "/udims/identifier/list",
        method: "get",
        params: query
    });
}


export function addIdentifier(query) {
    return axios({
        url: "/udims/identifier/add",
        method: "post",
        data: query
    });
}

export function modifyIdentifier(query) {
    return axios({
        url: "/udims/identifier/modify",
        method: "post",
        data: query
    });
}

export function deleteIdentifier(query) {
    return axios({
        url: "/udims/identifier/delete",
        method: "post",
        data: query
    });
}
export function generateIdentifier(query) {
    return axios({
        url: "/udims/facidentcode/generate",
        method: "post",
        data: query
    });
}

export function randomIdentifier(query) {
    return axios({
        url: "/udims/identifier/random",
        method: "get",
        params: query
    });
}




